Bug 194285 - ISA SB32 AWE not detected
ISA SB32 AWE not detected
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: sndconfig (Show other bugs)
5
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-06 16:38 EDT by Ty Yeow
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 10:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ty Yeow 2006-06-06 16:38:30 EDT
Description of problem:
ISA SB32 AWE not detected. Fiddling with Multimedia Systems Selector prodyced
sound once. Same problem after reboot and was unable to duplicate prior success.
GStreamer not working.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
scsound.log
===========
a------- System Config Soundcard --------
Wed Jun  7 04:40:42 MYT 2006

------- lspci --------
00:00.0 Host bridge: ALi Corporation M1541 (rev 04)
00:01.0 PCI bridge: ALi Corporation M1541 PCI to AGP Controller (rev 04)
00:07.0 ISA bridge: ALi Corporation M1533/M1535 PCI to ISA Bridge [Aladdin
IV/V/V+] (rev b4)
00:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8029(AS)
00:0f.0 IDE interface: ALi Corporation M5229 IDE (rev 20)
01:00.0 VGA compatible controller: Intel Corporation 82740 (i740) AGP Graphics
Accelerator (rev 21)

------- lsmod --------
Module                  Size  Used by
autofs4                19013  1 
hidp                   15937  2 
rfcomm                 34389  0 
l2cap                  23489  10 hidp,rfcomm
bluetooth              44069  3 hidp,rfcomm,l2cap
sunrpc                136573  1 
ip_conntrack_netbios_ns     3009  0 
ipt_REJECT              5441  1 
xt_state                2241  2 
ip_conntrack           49133  2 ip_conntrack_netbios_ns,xt_state
nfnetlink               6489  1 ip_conntrack
xt_tcpudp               3265  4 
iptable_filter          3137  1 
ip_tables              11657  1 iptable_filter
x_tables               12613  4 ipt_REJECT,xt_state,xt_tcpudp,ip_tables
freq_table              5189  0 
video                  14917  0 
button                  6609  0 
battery                 9285  0 
ac                      4933  0 
ipv6                  225697  12 
lp                     12297  0 
parport_pc             25317  1 
parport                34185  2 lp,parport_pc
floppy                 57733  0 
nvram                   8393  0 
ne2k_pci               10657  0 
8390                    9925  1 ne2k_pci
dm_snapshot            16237  0 
dm_zero                 2241  0 
dm_mirror              19985  0 
dm_mod                 50521  6 dm_snapshot,dm_zero,dm_mirror
ext3                  116809  2 
jbd                    52949  1 ext3

------- /etc/modprobe.conf --------
alias eth0 ne2k-pci
alias snd-card-0 snd-sbawe
options snd-card-0 index=0
options snd-sbawe index=0
remove snd-sbawe { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-sbawe

------- /etc/asound.conf --------


------- aplay -l --------
aplay: device_list:222: no soundcards found...

------- amixer --------


------- /proc/asound/version --------


------- rpm -q alsa-lib --------
alsa-lib-1.0.11-3.rc2.2

------- rpm -q alsa-utils --------
alsa-utils-1.0.11-3.rc2

------- /proc/asound/modules --------


------- /proc/asound/pcm --------


------- system-config-soundcard --------

Wrong card index 0...
/usr/share/system-config-soundcard/soundcard.py:273: DeprecationWarning: use
gtk.ComboBox
  self.primarySubDeviceOptionMenu = gtk.OptionMenu()
/usr/share/system-config-soundcard/soundcard.py:308: GtkDeprecationWarning:
gtk.timeout_add is deprecated, use gobject.timeout_add instead
  self.timer = gtk.timeout_add (100, self.checkStatus, self)
/usr/share/system-config-soundcard/soundcard.py:548: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  gtk.main()
ALSA lib pcm_hw.c:1305:(_snd_pcm_hw_open) Invalid value for card
aplay: main:547: audio open error: No such device
Read config:
card 0
device 0
HW 0
----------- Kudzu -------------
Comment 1 Martin Stransky 2006-06-07 12:26:40 EDT
Could you check "modprobe snd-sbawe"? (as root)

Note You need to log in before you can comment on or make changes to this bug.